using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations.Schema;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Entities.Contracts
{
	[Table("assignment_class")]
	public class AssignmentClass
	{
		[Key]
		[Column("assignment_id", Order = 0)]
		[ForeignKey("Assignment")]
		public Guid AssignmentId { get; set; }

		[Key]
		[Column("class_id", Order = 1)]
		[ForeignKey("Class")]
		public Guid ClassId { get; set; }

		[Column("assigned_at")]
		public DateTime AssignedAt { get; set; }

		[Column("deleted")]
		public bool IsDeleted { get; set; }

		// Navigation Properties
		public Assignment Assignment { get; set; }
		public Class Class { get; set; }


	}
}
